Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.opad.model
Class ForecastMeasurementPair

    java.lang.Object
      kieker.tools.opad.model.ForecastMeasurementPair

All Implemented Interfaces:
  IForecastMeasurementPair, INamedElement, ITimeSeriesPoint<Double>

    public class ForecastMeasurementPair

extends Object
implements IForecastMeasurementPair

Since:
  1.10, 1.9
Author:
  Tillmann Carlos Bielefeld

Constructor Summary
`ForecastMeasurementPair(String name, Double forecast, Double measurement, long time)`

Method Summary
`Double` | `getForecasted()` Returns the forecasted Double value.
`String` | `getName()` Returns the name of the element.
`long` | `getTime()`
`Double` | `getValue()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForecastMeasurementPair

    public ForecastMeasurementPair(String name,
                                   Double forecast,
                                   Double measurement,
                                   long time)

Method Detail

### getName

    public String getName()

  Description copied from interface: `INamedElement`
  Returns the name of the element.

  Specified by:
    `getName` in interface `INamedElement`
  Returns:
    name of the element

### getTime

    public long getTime()

  Specified by:
    `getTime` in interface `ITimeSeriesPoint<Double>`

### getValue

    public Double getValue()

  Specified by:
    `getValue` in interface `ITimeSeriesPoint<Double>`

### getForecasted

    public Double getForecasted()

  Description copied from interface: `IForecastMeasurementPair`
  Returns the forecasted Double value.

  Specified by:
    `getForecasted` in interface `IForecastMeasurementPair`
  Returns:
    forecasted Double value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net